# Confirmation of valid charge via Quick Pay Checkout using CURL

**URL:** <https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396>\
**Category:** Questions\
**Tags:** checkout-api\
**Created:** [November 5, 2025, 2:00am UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396 "2025-11-05T02:00:21Z")\
**Posts on this page:** 7\
**Page:** 1

<div class="post-metadata">

**Author:** ![tokenizer](https://avatars.discourse-cdn.com/v4/letter/t/838e76/32.png) [@tokenizer](https://developer.squareup.com/forums/u/tokenizer)\
**Post date:** [November 5, 2025, 2:00am UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/1 "2025-11-05T02:00:21Z")

</div>

I have successfully set up a Quick Pay Checkout transaction. It works in sandbox and production. I have also set up a query via CURL (CURL equivalent) to query the transaction using:

curl [https://connect.squareup.com/v2/orders/{order\_id}](https://connect.squareup.com/v2/orders/%7Border_id%7D) \  
-H ‘Square-Version: 2025-10-16’ \  
-H ‘Authorization: Bearer ACCESS\_TOKEN’ \  
-H ‘Content-Type: application/json’

However, how can I be sure that the amount was approved? The response comes back with a state of “OPEN” which I assume is a pending transaction that will be auto batched at midnight or some other time tonight.

Does “OPEN” mean that the charge was valid and approved? Is there some other field in that response that I can use?

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [November 5, 2025, 2:00am UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/2 "2025-11-05T02:00:37Z")

</div>

👋 I’m Square Dev AI, here to help answer your question!  
Based on the information you’ve provided, the following documentation will help answer your question:

> **[Pay for Orders](https://developer.squareup.com/docs/orders-api/pay-for-orders)**
>
> You can pay for your orders with the Payments API (the CreatePayment endpoint) or the Orders API (the PayOrder endpoint).

> **[Verify the Payment](https://developer.squareup.com/docs/get-started/verify-transaction-in-seller-dashboard)**
>
> Learn how to view Square transactions in the Sandbox Square Dashboard.

> **Additional Documentation**
>
> [Sandbox Payments](https://developer.squareup.com/docs/devtools/sandbox/payments)  
> [Split Payment: Let Customers Split Payment Transactions](https://developer.squareup.com/docs/commerce/scenarios/split-online-payment)  
> [Split Payment: Let Customers Split Payment Transactions](https://developer.squareup.com/docs/payments/scenarios/split-online-payment)

If this documentation helped you find a solution, please check the box indicating that this reply solves the problem.  
Otherwise one of our Developer Advocates will provide additional assistance shortly.

---

<div class="post-metadata">

**Author:** ![tokenizer](https://avatars.discourse-cdn.com/v4/letter/t/838e76/32.png) [@tokenizer](https://developer.squareup.com/forums/u/tokenizer)\
**Post date:** [November 7, 2025, 6:23pm UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/3 "2025-11-07T18:23:32Z")

</div>

I still do not have an answer on this.

---

<div class="post-metadata">

**Author:** ![Square-Dev-AI](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/square-dev-ai/32/2513_2.png) [@Square-Dev-AI](https://developer.squareup.com/forums/u/Square-Dev-AI)\
**Post date:** [November 10, 2025, 6:19pm UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/4 "2025-11-10T18:19:19Z")

</div>

In the context of Square’s APIs, an order with a state of “OPEN” does not necessarily indicate that the payment has been approved or completed. The “OPEN” state typically means that the order is still active and has not been fully processed or completed.

To determine if a payment has been approved, you should look at the payment status rather than the order state. You can retrieve the payment details using the Payments API by calling the `GetPayment` endpoint with the payment ID associated with the order. The payment status will provide more definitive information about whether the charge was successful. A payment status of “COMPLETED” indicates that the payment was successfully processed and approved.

If you are using the Orders API and want to ensure that the order is fully paid, you should check the tenders array within the order object to see if the payments have been authorized and captured. If the payment is still pending, it might not yet be reflected as completed in the order state.

In summary, to confirm that a charge was valid and approved, check the payment status using the Payments API rather than relying solely on the order state.

_This answer was reviewed by @Bryan-Square._

---

<div class="post-metadata">

**Author:** ![tokenizer](https://avatars.discourse-cdn.com/v4/letter/t/838e76/32.png) [@tokenizer](https://developer.squareup.com/forums/u/tokenizer)\
**Post date:** [November 11, 2025, 12:42am UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/5 "2025-11-11T00:42:47Z")

</div>

Well, I would love to use the GetPayment endpoint. However, when using the Quick Pay Checkout and “[https://connect.squareup.com/v2/orders/”](https://connect.squareup.com/v2/orders/%E2%80%9D) there is no payment\_id in the response.

How does the Quick Pay Checkout does not provide access to the payment status?

---

<div class="post-metadata">

**Author:** ![Bryan-Square](https://sea1.discourse-cdn.com/square/forums/user_avatar/developer.squareup.com/bryan-square/32/38_2.png) [@Bryan-Square](https://developer.squareup.com/forums/u/Bryan-Square)\
**Post date:** [November 11, 2025, 4:45pm UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/6 "2025-11-11T16:45:17Z")

</div>

When a customer pays in the Square checkout page and they’re redirected the `order_id` will be added to the end of the redirect URL. You can take the `order_id` and call `RetrieveOrder` with the ID. The `payment_id` will be in the order and it will have a `tender`. That’s how you can confirm that the payment was made for the payment link. 🙂

---

<div class="post-metadata">

**Author:** ![tokenizer](https://avatars.discourse-cdn.com/v4/letter/t/838e76/32.png) [@tokenizer](https://developer.squareup.com/forums/u/tokenizer)\
**Post date:** [November 12, 2025, 5:31am UTC](https://developer.squareup.com/forums/t/confirmation-of-valid-charge-via-quick-pay-checkout-using-curl/24396/7 "2025-11-12T05:31:17Z")

</div>

Thank you! I also did manage to look back over the response and found it in the structure. So, now it’s working!
